VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPhysicalDeviceMaintenance3Properties const & () const
| operator VkPhysicalDeviceMaintenance3Properties & ()
bool | operator== (PhysicalDeviceMaintenance3Properties const &rhs) const
bool | operator!= (PhysicalDeviceMaintenance3Properties const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | maxPerSetDescriptors
DeviceSize | maxMemoryAllocationSize

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceMaintenance3Properties

## Detailed Description

Definition at line 17254 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceMaintenance3Properties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::operator VkPhysicalDeviceMaintenance3Properties & | ( |  | ) |

inline

Definition at line 17261 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMaintenance3Properties*>(this);
}

## operator VkPhysicalDeviceMaintenance3Properties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::operator VkPhysicalDeviceMaintenance3Properties const & | ( |  | ) | const

inline

Definition at line 17256 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMaintenance3Properties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::operator!= | ( | PhysicalDeviceMaintenance3Properties const & | rhs | ) | const

inline

Definition at line 17274 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::operator== | ( | PhysicalDeviceMaintenance3Properties const & | rhs | ) | const

inline

Definition at line 17266 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxPerSetDescriptors == rhs.maxPerSetDescriptors )
&& ( maxMemoryAllocationSize == rhs.maxMemoryAllocationSize );
}

References maxMemoryAllocationSize, maxPerSetDescriptors, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## maxMemoryAllocationSize

DeviceSize VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::maxMemoryAllocationSize

Definition at line 17285 of file vulkan.hpp.

Referenced by operator==().

## maxPerSetDescriptors

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::maxPerSetDescriptors

Definition at line 17284 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::pNext = nullptr

Definition at line 17283 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::sType = StructureType::ePhysicalDeviceMaintenance3Properties

private

Definition at line 17280 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::maxPerSetDescriptors
uint32_t maxPerSetDescriptors
Definition: vulkan.hpp:17284
VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::maxMemoryAllocationSize
DeviceSize maxMemoryAllocationSize
Definition: vulkan.hpp:17285
VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::operator==
bool operator==(PhysicalDeviceMaintenance3Properties const &rhs) const
Definition: vulkan.hpp:17266
VkPhysicalDeviceMaintenance3Properties
Definition: vulkan_core.h:4469
VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::pNext
void * pNext
Definition: vulkan.hpp:17283
VULKAN_HPP_NAMESPACE::PhysicalDeviceMaintenance3Properties::sType
StructureType sType
Definition: vulkan.hpp:17280